<?php

error_reporting(0);

$selectedPrinter=$_SESSION['selectedPrinter'];

$nombre_impresora = $selectedPrinter; 

require __DIR__ . '/ticket/autoload.php'; //Nota: si renombraste la carpeta a algo diferente de "ticket" cambia el nombre en esta línea
use Mike42\Escpos\Printer;
use Mike42\Escpos\EscposImage;
use Mike42\Escpos\PrintConnectors\WindowsPrintConnector;

/*
	Este ejemplo imprime un
	ticket de venta desde una impresora térmica
*/


/*
    Aquí, en lugar de "POS" (que es el nombre de mi impresora)
	escribe el nombre de la tuya. Recuerda que debes compartirla
	desde el panel de control
*/


try{
$connector = new WindowsPrintConnector($nombre_impresora);
$printer = new Printer($connector);
#Mando un numero de respuesta para saber que se conecto correctamente.
$imprimiendo=1;
/*
	Vamos a imprimir un logotipo
	opcional. Recuerda que esto
	no funcionará en todas las
	impresoras

	Pequeña nota: Es recomendable que la imagen no sea
	transparente (aunque sea png hay que quitar el canal alfa)
	y que tenga una resolución baja. En mi caso
	la imagen que uso es de 250 x 250
*/

# Vamos a alinear al centro lo próximo que imprimamos
$printer->setJustification(Printer::JUSTIFY_CENTER);

/*
	Intentaremos cargar e imprimir
	el logo
*/

	//$logo = EscposImage::load("geek.png", false);
  //$printer->bitImage($logo);
$printer->text("\n"."Delicias DU!" . "\n");
$printer->text("San José Pinula, Guatemala" . "\n");
$printer->text("Servicios de Alimentos, GUATEPLAST" . "\n");
#La fecha también
$printer->text("$date"." "."$hora". "\n\n\n\n\n\n");







/*
	Datos del Usuario Nuevo
*/
$printer->setJustification(Printer::JUSTIFY_CENTER);

$printer->text("USUARIO: "."$userC"."\n");
$printer->text("CONTRASEÑA: "."$pass"."\n");


/*Alimentamos el papel 3 veces*/
$printer->feed(3);

/*
	Cortamos el papel. Si nuestra impresora
	no tiene soporte para ello, no generará
	ningún error
*/
$printer->cut();

/*
	Por medio de la impresora mandamos un pulso.
	Esto es útil cuando la tenemos conectada
	por ejemplo a un cajón
*/
$printer->pulse();

/*
	Para imprimir realmente, tenemos que "cerrar"
	la conexión con la impresora. Recuerda incluir esto al final de todos los archivos
*/
$printer->close();

}catch(Throwable $e){

	$imprimiendo=0;

}


?>